Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Interface AutoDetach

All Known Subinterfaces:
  Broker, DistributedBroker

All Known Implementing Classes:
  BrokerImpl, DelegatingBroker, DistributedBrokerImpl, FinalizingBrokerImpl

    public interface AutoDetach

Bit flags for when to automatically detach the entire persistence context.

Field Summary
`static int` | `DETACH_CLOSE` Detach context on close.
`static int` | `DETACH_COMMIT` Detach context on transaction commit.
`static int` | `DETACH_NONE` Do not detach at all.
`static int` | `DETACH_NONTXREAD` Detach context on any nontransctional read, such that each nontransactional operation uses a new persistence context in essence.
`static int` | `DETACH_ROLLBACK` Detach context on failed transaction commit / rollback.
`static String[]` | `names`
`static int[]` | `values`

Field Detail

### DETACH_CLOSE

    static final int DETACH_CLOSE

  Detach context on close.

  See Also:
    Constant Field Values

### DETACH_COMMIT

    static final int DETACH_COMMIT

  Detach context on transaction commit.

  See Also:
    Constant Field Values

### DETACH_NONTXREAD

    static final int DETACH_NONTXREAD

  Detach context on any nontransctional read, such that each nontransactional operation uses a new persistence context in essence.

  See Also:
    Constant Field Values

### DETACH_ROLLBACK

    static final int DETACH_ROLLBACK

  Detach context on failed transaction commit / rollback.

  See Also:
    Constant Field Values

### DETACH_NONE

    static final int DETACH_NONE

  Do not detach at all. Skips proxying second-class containers.

  See Also:
    Constant Field Values

### names

    static final String[] names

### values

    static final int[] values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.